#ifndef GLOBAL_VARIABLE
#define GLOBAL_VARIABLE

#include <QString>
#include <qglobal.h>

#ifdef PROJECT_NAME
__attribute__((unused)) static const QString APP_NAME(PROJECT_NAME);
#else
__attribute__((unused)) static const QString APP_NAME("empty");
#endif

// system info
#if (QT_VERSION >= QT_VERSION_CHECK(5, 12, 0))
__attribute__((unused)) static const QString SYSTEM_VERSION("V10Professional");
#else
__attribute__((unused)) static const QString SYSTEM_VERSION("V10");
#endif


// binary path
#ifdef TEST_DEBUG
__attribute__((unused)) static const QString APP_PATH(QString("%1/%2").arg(PROJECT_BINARY_DIR).arg(APP_NAME));
#else
__attribute__((unused)) static const QString APP_PATH(QString("/usr/bin/%1").arg(APP_NAME));
#endif


#endif // GLOBAL_VARIABLE
